GetbeelDocs

Comment on a filing

Adds a comment to the history, read by the team and the commercialista. Live keys only.

POST
/filings/{id}/events

Adds a comment to the history, read by the team and the commercialista. Live keys only.

Autorizzazione

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

id*string
Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid
application/json
  1. body
body*string

The comment, in plain text (1-4000 characters)

Length1 <= length <= 4000

Corpo della risposta

OK

application/json
  1. response
id*string
object*string
kind*string
Value in"comment""status"
from_status*string|null
to_status*string|null
body*|

The comment, the reason, or the protocol number

actor*
created_at*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
Esempio di richiesta
curl -X POST 'https://www.getbeel.com/api/v1/filings/string/events' \  -H 'Content-Type: application/json' \  -d '{  "body": "string"}'
Esempio di risposta
{  "id": "string",  "object": "filing_event",  "kind": "comment",  "from_status": "string",  "to_status": "string",  "body": "string",  "actor": {    "type": "user",    "name": "string",    "role": "accountant"  },  "created_at": "2019-08-24T14:15:22Z"}